summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2015-11-13 04:33:23 +0100
committerAllan McRae <allan@archlinux.org>2015-11-23 07:02:32 +0100
commit663c74150ab4ba6d3adc55b0e3f539557a16e352 (patch)
tree1fbb2d77e063d2d0515ea4f74626510223082b23 /scripts
parentef1fb0ef81f7ec78f1a9f45f0d7039cdb6be1f8c (diff)
downloadpacman-663c74150ab4ba6d3adc55b0e3f539557a16e352.tar.gz
pacman-663c74150ab4ba6d3adc55b0e3f539557a16e352.tar.xz
makepkg: merge arch dependent variables after PKGBUILD linting
Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in16
1 files changed, 8 insertions, 8 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index b46c0dd9..d0ebf42c 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -761,10 +761,6 @@ merge_arch_attrs() {
source_buildfile() {
source_safe "$@"
-
- if (( !SOURCEONLY )); then
- merge_arch_attrs
- fi
}
run_function_safe() {
@@ -2004,8 +2000,15 @@ else
source_buildfile "$BUILDFILE"
fi
-# set defaults if they weren't specified in buildfile
pkgbase=${pkgbase:-${pkgname[0]}}
+
+# check the PKGBUILD for some basic requirements
+lint_pkgbuild || exit 1
+
+if (( !SOURCEONLY )); then
+ merge_arch_attrs
+fi
+
basever=$(get_full_version)
if [[ $BUILDDIR = "$startdir" ]]; then
@@ -2033,9 +2036,6 @@ if have_function pkgver; then
PKGVERFUNC=1
fi
-# check the PKGBUILD for some basic requirements
-lint_pkgbuild || exit 1
-
# check we have the software required to process the PKGBUILD
check_software || exit 1